---
layout: blog
title: "Happy Easter - Weekly #15-2022"
segments:
  - blog
published: true
date: 2022-04-17T08:05:05.489Z
tags:
  - News
  - Weekly
---
Hello,

I've been very busy the last 3 weeks and I'm so so sorry I haven't been able to post an update. Now, I have so many things in the pipeline, I hope I'll be able to remind myself of everything.

I'm **organizing a wedding** with my beautiful soon-to-be wife, so I am running errands all over the world. I'm trying to still be **available to stream and focus on learning** in between. 

## Game dev research

In the latest stream, I've taken some time off coding and started to work on research for the **upcoming side-project** of creating a **strategy card-based game** similar to Blizzard's Hearthstone. I'm still holding off specifying the rules and mechanics of the game. I've been **searching for a game engine** that will help me write code that I will be comfortable and productive with.

The engine that made me most excited was [Bevy](https://bevyengine.org/), built in Rust. The [Entity Component System architecture](https://bevy-cheatbook.github.io/programming/ecs-intro.html) looks very interesting and I would love to try it out. I see some potential for reusing the architecture in different programming languages and domains.

I've been also researching the ecosystem of the [Go language](https://go.dev/). The ecosystem is very plain and I've been only able to find a single 3D game engine that didn't have much learning materials or community around it. The language itself looks very simple, in a good sense of course. There aren't that many concepts that need to be learned and people using it are very satisfied with their productivity. That is one thing I am worried about with Rust.

## DevBreak #2

The next episode of my lifestyle talk show DevBreak is in the makings. I've got some people interested in the idea. We just have to agree on the exact time and place. Announcement preparations will start this week and hopefully, it will be a very cool episode. I think it will be very very interesting as we will have 2 different viewpoints on a very close topic to everyone in the IT field.

## Headphone update

My brand new [Beyerdynamic DT 900 PRO X](https://europe.beyerdynamic.com/dt-900-pro-x.html) headphones have finally arrived. 
I fell in love with them immediately. The initial date of arrival was estimated to be in May. One day I just received an SMS that they will be delivered the next day.
I can't promise a review because I don't see myself as an expert in the field of HIFI headphones but **I can recommend them** to anyone who seeks out a very nice balanced sound with very comfortable construction.

Also, these are **my first open-back headphones** and they are amazing for very long listening sessions and home-office. The only downside is that they are not able to block noise from a washing machine or a vacuum robot.

## Picks

- My inspiration The Primeagen has released a very good [Youtube video on a comparison of performance between TypeScript, Go, and Rust](https://www.youtube.com/watch?v=Z0GX2mTUtfo). Very good content from him. I'd like to know what went bad with the Rust example as the performance bottlenecks look like can be optimized.

- [Short article by Sylvain Kerkour](https://kerkour.com/why-not-rust) but a very good explanation on why would anyone not choose Rust for some use-cases. 

- We have been **struggling with knowledge sharing** in our codebase at work as it is growing and growing and the team is also growing. We've decided to **focus more on documentation** and I've found this [gigantic guide on writing documentation](https://www.writethedocs.org/guide/). It looks like it's focused on Open Source projects, but I think every project should be opened to communicate its inner workings in the same way. We don't need to read the code of open source libraries when we use them. Why won't we provide the same comfort to our colleagues as well?

- [@xseman](https://github.com/xseman) has linked me to this extension to the [Gnome Desktop environment](https://www.gnome.org/) called [Pop OS shell](https://github.com/pop-os/shell), during one of the streams. It brings almost all the things I am missing from [i3 window manager](https://i3wm.org/) into Gnome. It's been developed for [System76 Pop OS operating system](https://pop.system76.com/), but it was no struggle to install it on my [Fedora](https://getfedora.org/) machine. Huge thanks to Filip!

